View Issue Details

IDProjectCategoryView StatusLast Update
0015402ScribusStory Editor / Text Framespublic2019-06-04 20:56
Reportereudoxos Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSOS Version
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015402: accidentally pasting scribus object in story editor pastes bunch of XML in plain text
DescriptionStory editor is requesting plain text from clipboard. If there is a huge object in the clipboard (which can be e.g. scribus image object with inline data), it will happily try to paste it in, freezing the UI beyond recovery.

What I propose is that (1) at least scribus XML is detected and not pasted as plain text (almost 100% not what the user wants) and (2) if the paste size exceeds something unreasonable (like 50kB of plain text), ask for confirmation before attempting to paste the data.
Steps To ReproduceCreate empty document, create e.g. freehand line. Then create a text frame, open story editor, press Ctrl-V. XML gets pasted.
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-08-16 08:17 eudoxos New Issue
2018-09-10 16:10 jghali Assigned To => jghali
2018-09-10 16:10 jghali Status new => resolved
2018-09-10 16:10 jghali Resolution open => fixed
2018-09-10 16:10 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:56 cbradney Status resolved => closed